
<div *ngIf="game">
    <h2><span jhiTranslate="typerApp.game.detail.title">Game</span> {{game.host.name + ' vs ' + game.guest.name}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="typerApp.game.date">Date</span></dt>
        <dd>
            <span>{{game.date | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.game.hostResult">Host Result</span></dt>
        <dd>
            <span>{{game.hostResult != null && game.guestResult != null ? game.hostResult + ':' + game.guestResult : 'Brak wyniku'}}</span>
        </dd>
        <dt><span jhiTranslate="typerApp.game.host">Host</span></dt>
        <dd>
            <div *ngIf="game.host">
                <a [routerLink]="['/team', game.host?.id]">{{game.host?.name}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="typerApp.game.guest">Guest</span></dt>
        <dd>
            <div *ngIf="game.guest">
                <a [routerLink]="['/team', game.guest?.id]">{{game.guest?.name}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="typerApp.game.league">League</span></dt>
        <dd>
            <div *ngIf="game.league">
                <a [routerLink]="['/league', game.league?.id]">{{game.league?.name}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>
    <button class="btn btn-primary create-bet" [routerLink]="['/', { outlets: { popup: 'bet/'+ -1 + '/' + game.id + '/create' } }]">
        <span class="fa fa-plus"></span>
        <span  jhiTranslate="typerApp.bet.home.createLabel">
        Create new Bet
        </span>
    </button>
</div>
